com.r3corda.core.contracts / ClientToServiceCommand / ExitCash

# ExitCash

`class ExitCash : ClientToServiceCommand`

Exit cash from the ledger.

### Parameters

`amount` - the amount of currency to exit from the ledger.
`issueRef` - the reference previously specified on the issuance.
`id` - the ID to be provided in events resulting from this request.

### Constructors

<init> | `ExitCash(amount: Amount<Currency>, issueRef: OpaqueBytes, id: UUID = UUID.randomUUID())` Exit cash from the ledger.

### Properties

amount | `val amount: Amount<Currency>`
issueRef | `val issueRef: OpaqueBytes`

### Inherited Properties

id | `val id: UUID`